## digikam-trinity 14.1.4

=== src/showfoto/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/setup
  ${CMAKE_SOURCE_DIR}/src/libs/dialogs
  ${CMAKE_SOURCE_DIR}/src/libs/imageproperties
  ${CMAKE_SOURCE_DIR}/src/libs/themeengine
  ${CMAKE_SOURCE_DIR}/src/libs/thumbbar
  ${CMAKE_SOURCE_DIR}/src/libs/threadimageio
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/common
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/canvas
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/editor
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/tools
  ${CMAKE_SOURCE_DIR}/src/utilities/slideshow
  ${CMAKE_SOURCE_DIR}/src/utilities/setup
)


##### subfolders

add_subdirectory( setup )


##### showfoto (executable)

tde_add_executable( showfoto AUTOMOC
  SOURCES main.cpp showfoto.cpp
  LINK
    imagepropertiesshowfoto-static jpegutils-static showfoto-static showfotosetupinternal-static
    slideshow-static themeengine-static threadimageio-static thumbbar-static
    tdeparts-shared tdeutils-shared ${CMAKE_THREAD_LIBS_INIT} ${KDCRAW_LIBRARIES} ${KEXIV2_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other files

install(
  FILES showfotoui.rc
  DESTINATION ${DATA_INSTALL_DIR}/showfoto
)

tde_create_translated_desktop(
  SOURCE showfoto.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== src/libs/dialogs/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/dimg/filters
  ${CMAKE_SOURCE_DIR}/src/libs/thumbbar
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/common
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/metadata
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/iccprofiles
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/imageplugins
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/canvas
)


##### dialog library (static)

tde_add_library( dialog STATIC_PIC AUTOMOC
  SOURCES
    deletedialogbase.ui imagedialog.cpp rawcameradlg.cpp iccprofileinfodlg.cpp
    deletedialog.cpp dprogressdlg.cpp
  LINK
    tdecore-shared
)

##### dialogshowfoto library (static)

tde_add_library( dialogshowfoto STATIC_PIC AUTOMOC
  SOURCES iccprofileinfodlg.cpp imagedialog.cpp rawcameradlg.cpp
  LINK tdecore-shared
)


##### other files

install(
  FILES iccprofileinfodlg.h dprogressdlg.h imagedialog.h rawcameradlg.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)

## digikam-trinity 3.5.13.2

=== debian/changelog ===
digikam-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 01:23:41 +0200

digikam-trinity (2:0.9.6-1ubuntu5) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

digikam-trinity (2:0.9.4-1ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 March 2009 01:11:00 -0600

digikam-trinity (2:0.9.4-0ubuntu14) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 17 Dec 2008 15:34:00 -0600

digikam (2:0.9.4-1ubuntu1) intrepid; urgency=low

  * Build-depend on renamed libkexiv2-3-dev and renamed libkdcraw3-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Sep 2008 15:27:17 +0100

digikam (2:0.9.4-1) unstable; urgency=low

  * New upstream release
    - digiKam 0.9.4 Release Plan (Trinity) ~ 13 July 08 (Closes: #490144)
  * DEB_CONFIGURE_EXTRA_FLAGS := --without-included-sqlite3
  * Debhelper compatibility level V7
  * Install pixmaps in debian/*.install
  * Add debian/digikam.lintian-overrides

 -- Mark Purcell <msp@debian.org>  Thu, 17 Jul 2008 20:25:39 +1000

digikam (2:0.9.4~rc2-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Tue, 08 Jul 2008 13:01:17 +1000

digikam (2:0.9.4~rc1-1) experimental; urgency=low

  * New upstream release
  * Fixed-upstream:
    - digikam crashes when using light table (Closes: #437021)
    - digikam fails to build with gcc-4.3 on powerpc -
    libgreycstoration_la.all_cpp.lo (Closes: #483137)

 -- Mark Purcell <msp@debian.org>  Sat, 21 Jun 2008 16:54:00 +1000

digikam (2:0.9.4~beta5-1) experimental; urgency=low

  * New upstream release
  * Force powerpc build with gcc-4.2 - fixes:
    - digikam fails to build on powerpc - libgreycstoration_la.all_cpp.lo
    (Closes: #483137)
  * Forwarded upstream and now claimed as fixed:
    - digikam 0.9.1-2 crashes when clicking on preview image to display it
    (Closes: #418251)
    - REALLY slow on big albums (Closes: #430380)
    - Hangs with splash screen on first upgrade (Closes: #407135)
    - Digikam hangs on startup (Closes: #415301)
    - Upgrade dropped way to enter comments en masse (Closes: #400032)

 -- Mark Purcell <msp@debian.org>  Thu, 29 May 2008 23:40:06 +1000

digikam (2:0.9.4~beta3-1) experimental; urgency=low

  * New upstream release

  [ Mark Purcell ]
  * All debian/patches included upstream ;-)

  [ Achim Bohnet ]
  * debian/control: remove --enable-debug=full to stop DDebug flood
    stderr on startup. (Nodebug uses: -DNDEBUG -DNO_DEBUG -O2 -g -Wall -O2
    Full debug used: -fno-builtin -g3 -fno-inline -g -Wall -O2).

  * digikam.manpage: remove reference to digikamimageplugins. Pkgs was merged
    into digikam package.

 -- Mark Purcell <msp@debian.org>  Sun, 27 Apr 2008 22:40:08 +1000

digikam (2:0.9.3-2) unstable; urgency=low

  [ Achim Bohnet]

  * Cherry pick fixes from KDEs SVN:
      40_kdesvn783161_fix_wrong_file-exits_check.diff
      40_kdesvn786622_honour_scrollbar.diff

  * Remove build-deps:
    + automake1.9: We take care that no rebuilding is necessary.
    + libexif-dev: replaced by libexiv2 upstream.

  * Remove Paul Telford <pxt@debian.org> from uploaders.  He's no longer
    involved in digikam maintenance. Thx for taking care of digikam as
    well as sponsoring me for a long time.

  * debian/copyright: replace Copyright (C) with ©

  * remove debian/TODO.  Had only outdated or will not happen stuff.

  * Merge my changes from kubuntu:

  * Remove relibtoolization patches:
      02_autotools_update.diff
      03_libtool_update.diff
      04_am_maintainer_mode.diff
      05_pedantic-errors.diff
      06_disable_no_undefined.diff
      98_buildprep.diff
    let linker flag --as-needed in debian/rules do the job.

  * Add patch to fix FTBFS with new libkdcraw3 pkgs (0.1.4) required by
    kipi-plugins 0.1.5: 20_fix_ftbfs_with_libkdcraw3.diff .
    Fixes: https://bugs.kde.org/show_bug.cgi?id=146393
    Thx to the Mandriva Maintainer Angelo Naselli to point me to the patch.
    (Closes: #472547 digikam: FTBFS with current libkdcraw)

  * Bump build dependency of libkdcraw to >= 0.1.4 as libkdraw3 patch above
    requires it.

  * Fix: [Hardy] digikam duplicates downloaded images while overwriting
    existing ones.  Added: patches/10_lp201053_fix_download_rename_race.diff
    This is a backport of KDE SVN commit 783150. (Closes LP: #201053).
    See also http://bugs.kde.org/show_bug.cgi?id=158377 for more information.

  * add missing final newline to showfoto.install.

  * Edited images saved with a new name wheree only read/writabblbe by it's
    owner.  Now the umask is used. Add patches/30_respect_umask.diff.  Fixes
    http://bugs.kde.org/show_bug.cgi?id=145252 .

  * Dropped kubuntu change:
    + build-dep bumps of libkexiv2-dev and libexiv2-dev. They were only
      needed for a library transition.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 25 Mar 2008 20:30:38 +0100

digikam (2:0.9.3-1) unstable; urgency=low

  * New upstream release

  * Add myself in Uploaders field
  * Remove tiffloader patch. Fixed upstream (Closes: #458434)
  * Bump Standards-Version to 3.7.3
  * Build with --as-needed

 -- Fathi Boudra <fabo@debian.org>  Fri, 04 Jan 2008 09:26:34 +0100

digikam (2:0.9.3~rc1-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 10 Dec 2007 07:28:30 +0000

digikam (2:0.9.3~beta3-1) experimental; urgency=low

  * New upstream release

  * Remove Depends: libgphoto2-2-dev thnks to kdelibs patch from pusling
     - dependency on dev package (libgphoto2-2-dev) (Closes: #416123)
  * Working debian/watch from Raphael
    - debian/watch fails to report upstream&#39;s version (Closes:
    #449649)



=== debian/control ===
Source: digikam-trinity
Section: graphics
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt, kdelibs4-trinity-dev,
 libtiff-dev, libgphoto2-2-dev, libkipi0-trinity-dev,
 libsqlite3-dev, liblcms1-dev, libkexiv2-3-trinity-dev (>= 0.1.6),
 libjasper-dev, libpng12-dev | libpng-dev, libexiv2-dev,
 libkdcraw3-trinity-dev (>= 0.1.4),
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://www.digikam.org

Package: digikam-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: digikam-kde3 (<< 4:3.5.13)
Breaks: digikam-kde3 (<< 4:3.5.13)
Recommends: kipi-plugins-trinity, kdeprint-trinity, konqueror-trinity
Suggests: digikam-trinity-doc
Description: digital photo management application for KDE [Trinity]
 An easy to use and powerful digital photo management
 application, which makes importing, organizing and manipulating
 digital photos a "snap".  An interface is provided to connect to
 your digital camera, preview the images and download and/or
 delete them.
 .
 The digiKam built-in image editor makes the common photo correction
 a simple task. The image editor is extensible via plugins and,
 the digikamimageplugins project has been merged to digiKam core
 since release 0.9.2, all useful image editor plugins are available
 in the base installation.
 .
 digiKam can also make use of the KIPI image handling plugins to
 extend its capabilities even further for photo manipulations,
 import and export, etc. The kipi-plugins package contains many
 very useful extentions.
 .
 digiKam is based in part on the work of the Independent JPEG Group.

Package: showfoto-trinity
Architecture: any
Section: graphics
Replaces: showfoto-kde3 (<< 4:3.5.13)
Breaks: showfoto-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, digikam-trinity
Recommends: kipi-plugins-trinity, kdeprint-trinity, konqueror-trinity
Description: image viewer/editor for KDE [Trinity]
 Showphoto is part of the Digikam project.
 It allows to browse your photo collection and edit them with ease.

Package: digikam-trinity-dbg
Architecture: any
Section: devel
Replaces: digikam-kde3-dbg (<< 4:3.5.13)
Breaks: digikam-kde3-dbg (<< 4:3.5.13)
Depends: ${shlibs:Depends}, digikam-trinity (= ${binary:Version}), showfoto-trinity (= ${binary:Version}), kdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for digikam [Trinity]
 The debugging symbols associated with digikam and showfoto. They will
 automatically be used by gdb for debugging digikam-related issues.

## digikam-trinity 14.0.12

=== debian/changelog ===
digikam-trinity (4:14.0.12-1romtdk) universal; urgency=low

  * Applying digikam_MainTr.patch
  * Applying digikam_fileDlgs.patch
  * Applying showfoto_BuildFixFilters.patch

 -- Roman Savochenko <roman@oscada.org>  Sun, 1 May 2022 20:00:00 +0200

digikam-trinity (4:14.0.12-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 29 Apr 2022 00:50:33 +0200

## digikam-trinity 14.1.0

=== debian/changelog ===
digikam-trinity (4:14.1.0-1romtdk) universal; urgency=low

  * Applying digikam_MainTr.patch
  * Applying digikam_fileDlgs.patch
  * Applying showfoto_BuildFixFilters.patch
  * Applying showfoto_OneImgOpenAsDirFromCmd.patch
  * Applying digikam_LoadCPU.patch

 -- Roman Savochenko <roman@oscada.org>  Thu, 04 May 2023 20:00:00 +0200

digikam-trinity (4:14.1.0-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 21:15:19 +0200

## digikam-trinity 14.1.1

=== debian/changelog ===
digikam-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Oct 2023 23:22:00 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-tde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

TARBALL_EXT=tar.bz2

DEB_CONFIGURE_EXTRA_FLAGS := --without-included-sqlite3 --prefix=/opt/trinity --disable-static

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--as-needed"

DEB_KDE_ENABLE_FINAL := yes
DEB_INSTALL_DOCS_ALL :=

DEB_DH_MAKESHLIBS_ARGS_ALL := -V
DEB_SHLIBDEPS_INCLUDE = $(foreach p,$(PACKAGES_WITH_LIBS),debian/$(p)/opt/trinity/lib)

PKG_CONFIG_PATH=/opt/trinity/lib/pkgconfig:$PKG_CONFIG_PATH

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    cdbs_treat_me_gently_arches := arm m68k alpha ppc64 armel armeb
    ifeq (,$(filter $(DEB_HOST_ARCH_CPU),$(cdbs_treat_me_gently_arches)))
        cdbs_kde_enable_final = $(if $(DEB_KDE_ENABLE_FINAL),--enable-final,)
    else
        cdbs_kde_enable_final =
    endif
endif

binary-install/digikam-trinity-doc::
	# remove empty API-docs dirs tree
	rm -rf $(CURDIR)/debian/digikam-trinity-doc/opt/trinity/share/doc/tde/HTML/en/digikam-apidocs

binary-install/digikam-trinity::
	mv debian/digikam-trinity/usr/share/man debian/digikam-trinity/opt/trinity/share/

## digikam-trinity 14.1.2

=== debian/changelog ===
digikam-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## digikam-trinity 14.1.3

=== debian/changelog ===
digikam-trinity (4:14.1.3-1romtdk) universal; urgency=low

  * Applying digikam_MainTr.patch
  * Applying digikam_fileDlgs.patch
  * Applying showfoto_BuildFixFilters.patch
  * Applying showfoto_OneImgOpenAsDirFromCmd.patch
  * Applying digikam_LoadCPU.patch

 -- Roman Savochenko <roman@oscada.org>  Sun, 27 Oct 2024 20:00:00 +0200

digikam-trinity (4:14.1.3-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:13:14 +0200

## digikam-trinity 14.1.4

=== debian/changelog ===
digikam-trinity (4:14.1.4-1romtdk) universal; urgency=low

  * Applying digikam_MainTr.patch
  * Applying digikam_fileDlgs.patch
  * Applying showfoto_BuildFixFilters.patch
  * Applying showfoto_OneImgOpenAsDirFromCmd.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 28 Apr 2025 20:00:00 +0200

digikam-trinity (4:14.1.4-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -37,5 +37,5 @@
 	# remove empty API-docs dirs tree
 	rm -rf $(CURDIR)/debian/digikam-trinity-doc/opt/trinity/share/doc/tde/HTML/en/digikam-apidocs
 
-binary-install/digikam-trinity::
-	mv debian/digikam-trinity/usr/share/man debian/digikam-trinity/opt/trinity/share/
+#binary-install/digikam-trinity::
+#	mv debian/digikam-trinity/usr/share/man debian/digikam-trinity/opt/trinity/share/

## digikam-trinity 14.1.5~pre12

=== debian/changelog ===
digikam-trinity (4:14.1.5~pre12-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for aa7a1bb4f5a03f4e790b7d8af14075c0ff105d45
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## digikam-trinity 14.1.5

=== src/imageplugins/adjustcurves/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### digikamimageplugin_adjustcurves (kpart)

tde_add_kpart( digikamimageplugin_adjustcurves AUTOMOC
  SOURCES imageplugin_adjustcurves.cpp adjustcurvestool.cpp
  LINK digikam-shared tdecore-shared tdeutils-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES digikamimageplugin_adjustcurves_ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
  SOURCE digikamimageplugin_adjustcurves.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/imageplugins/raindrop/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### digikamimageplugin_raindrop (kpart)

tde_add_kpart( digikamimageplugin_raindrop AUTOMOC
  SOURCES imageplugin_raindrop.cpp raindroptool.cpp raindrop.cpp
  LINK dimgfilters-static digikam-shared tdecore-shared tdeutils-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES digikamimageplugin_raindrop_ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
  SOURCE digikamimageplugin_raindrop.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/libs/sqlite2/CMakeLists.txt ===
##### sqlite2 library (static)

tde_add_library( sqlite2 STATIC_PIC
  SOURCES
    attach.c auth.c btree.c btree_rb.c build.c copy.c date.c delete.c encode.c expr.c func.c hash.c
    insert.c main.c opcodes.c os.c pager.c parse.c pragma.c printf.c random.c select.c shell.c
    table.c tokenize.c trigger.c update.c util.c vacuum.c vdbe.c vdbeaux.c where.c
  LINK ${CMAKE_THREAD_LIBS_INIT}
)

=== src/libs/dimg/loaders/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/curves
  ${CMAKE_SOURCE_DIR}/src/libs/dimg/filters
  ${CMAKE_SOURCE_DIR}/src/libs/levels
  ${CMAKE_SOURCE_DIR}/src/libs/whitebalance
)

link_directories(
  ${TIFF_LIBRARY_DIRS}
)


##### dimgloaders library (static)

tde_add_library( dimgloaders STATIC_PIC AUTOMOC
  SOURCES
    dimgloader.cpp pngloader.cpp jpegloader.cpp tiffloader.cpp rawloader.cpp ppmloader.cpp
    qimageloader.cpp iccjpeg.c jp2kloader.cpp jpegsettings.cpp pngsettings.cpp tiffsettings.cpp
    jp2ksettings.cpp
  LINK
    curves-static dimgfilters-static histogram-static levels-static whitebalance-static tdecore-shared
    ${JASPER_LIBRARIES} ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${TIFF_LIBRARIES}
)

=== debian/changelog ===
digikam-trinity (4:14.1.5-1romtdk) universal; urgency=low

  * Applying digikam_MainTr.patch
  * Applying digikam_fileDlgs.patch
  * Applying showfoto_OneImgOpenAsDirFromCmd.patch

 -- Roman Savochenko <roman@oscada.org>  Sat, 08 Nov 2025 20:00:00 +0200

digikam-trinity (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Nov 2025 22:18:39 +0100

## digikam-trinity 14.1.6~pre1

=== debian/changelog ===
digikam-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 79a4dd80b796e013ea2f8ce23653bac2f82063de
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 22:36:59 +0100

## digikam-trinity 14.1.6~pre2

=== debian/changelog ===
digikam-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for df5f028f0126bdd7e3424062cbdeecddfe16d9a1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:36:37 +0100

## digikam-trinity 14.1.6~pre3

=== debian/changelog ===
digikam-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 153e3ff45543828be952d38d24f6325bf6ee17ef
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 22:32:10 +0100

## digikam-trinity 14.1.6~pre7

=== debian/changelog ===
digikam-trinity (4:14.1.6~pre7-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b43dc1dfcfe978c1fabef03b65400534f4836455
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 15:51:20 +0100

## digikam-trinity 14.1.6~pre13

=== debian/changelog ===
digikam-trinity (4:14.1.6~pre13-0debian14.0.0+0~b) sid; urgency=low

  * Automated git build for 8858fb7359900ac06ada3635e23d129b87077568
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 22:32:33 +0100

## digikam-trinity 14.1.6~pre14

=== debian/changelog ===
digikam-trinity (4:14.1.6~pre14-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 5a51f86a8e76d61d338ede179f226e33ff583aa9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 22:36:44 +0100

## digikam-trinity 14.2.0~pre112

=== pics/showfoto/CMakeLists.txt ===
install(
  FILES showfoto-splash.png menusidepixmap.png
  DESTINATION ${DATA_INSTALL_DIR}/showfoto
)

install(
  FILES showfoto.xpm showfoto-16.xpm
  DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
)

=== src/digikam/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/curves
  ${CMAKE_SOURCE_DIR}/src/libs/dialogs
  ${CMAKE_SOURCE_DIR}/src/libs/imageproperties
  ${CMAKE_SOURCE_DIR}/src/libs/jpegutils
  ${CMAKE_SOURCE_DIR}/src/libs/levels
  ${CMAKE_SOURCE_DIR}/src/libs/sqlite2
  ${CMAKE_SOURCE_DIR}/src/libs/themeengine
  ${CMAKE_SOURCE_DIR}/src/libs/thumbbar
  ${CMAKE_SOURCE_DIR}/src/libs/threadimageio
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/common
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/imageplugins
  ${CMAKE_SOURCE_DIR}/src/utilities/batch
  ${CMAKE_SOURCE_DIR}/src/utilities/cameragui
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/canvas
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/editor
  ${CMAKE_SOURCE_DIR}/src/utilities/lighttable
  ${CMAKE_SOURCE_DIR}/src/utilities/setup
  ${CMAKE_SOURCE_DIR}/src/utilities/slideshow
  ${CMAKE_BINARY_DIR}/src/libs/dialogs
  ${GPHOTO2_INCLUDE_DIRS}
  ${KIPI_INCLUDE_DIRS}
  ${SQLITE3_INCLUDE_DIRS}
)


##### digikam library (shared)

tde_add_library( digikam SHARED AUTOMOC
  SOURCES
    kdateedit.cpp metadatahub.cpp digikamapp.cpp album.cpp albumdb.cpp albumdb_sqlite2.cpp
    albumicongroupitem.cpp albumiconitem.cpp albumiconview.cpp albumiconviewfilter.cpp
    albumitemhandler.cpp albumfiletip.cpp albumfolderview.cpp albumhistory.cpp albumlister.cpp
    albummanager.cpp albumpropsedit.cpp albumsettings.cpp albumthumbnailloader.cpp
    albumwidgetstack.cpp cameralist.cpp cameratype.cpp datefolderview.cpp dcopiface.cpp
    dcopiface.skel digikamfirstrun.cpp digikamview.cpp dio.cpp dragobjects.cpp firstrun.cpp
    folderitem.cpp folderview.cpp iconview.cpp icongroupitem.cpp iconitem.cpp
    imageattributeswatch.cpp imageinfo.cpp imagepreviewview.cpp kdatetimeedit.cpp
    kdatepickerpopup.cpp kipiinterface.cpp mediaplayerview.cpp mimefilter.cpp monthwidget.cpp
    pixmapmanager.cpp ratingfilter.cpp ratingpopupmenu.cpp ratingwidget.cpp scanlib.cpp
    searchadvanceddialog.cpp searchfolderview.cpp searchquickdialog.cpp searchresultsview.cpp
    searchresultsitem.cpp searchwidgets.cpp syncjob.cpp tageditdlg.cpp tagfilterview.cpp
    tagfolderview.cpp tagspopupmenu.cpp timelinefolderview.cpp timelineview.cpp timelinewidget.cpp
    upgradedb_sqlite2tosqlite3.cpp welcomepageview.cpp
  LINK
    sqlite2-static thumbbar-static themeengine-static dialog-static metadatawidgets-static
    iccprofileswidgets-static imagepluginswidgets-static commonwidgets-static
    jpegutils-static dimg-static imagepropertiesdigikam-static threadimageio-static
    greycstoration-static batch-static slideshow-static cameragui-static
    dimgcanvas-static dimgeditor-static setup-static lighttable-static
    tdecore-shared tdeio-shared tdeabc-shared tdehtml-shared tdeparts-shared tdeutils-shared
    ${SQLITE3_LIBRARIES} ${KEXIV2_LIBRARIES} ${KIPI_LIBRARIES}
  VERSION 0.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### digikam (executable)

tde_add_executable( digikam AUTOMOC
  SOURCES main.cpp
  LINK
    digikam-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared tdeutils-shared
    ${KDCRAW_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other files

install(
  FILES digikam_export.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)

install(
  FILES digikamui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
  SOURCE digikam.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== src/imageplugins/coreplugin/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/hsl
  ${CMAKE_CURRENT_SOURCE_DIR}/ratiocrop
  ${CMAKE_CURRENT_SOURCE_DIR}/sharpnesseditor
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### subfolders

add_subdirectory( hsl )
add_subdirectory( ratiocrop )
add_subdirectory( sharpnesseditor )


##### digikamimageplugin_core (kpart)

tde_add_kpart( digikamimageplugin_core AUTOMOC
  SOURCES
    imageplugin_core.cpp bwsepiatool.cpp autocorrectiontool.cpp rgbtool.cpp redeyetool.cpp
    blurtool.cpp iccprooftool.cpp bcgtool.cpp
  LINK
    sharpnesseditor-static hsl-static ratiocrop-static dimg-static dimgeditor-static
    curves-static commonwidgets-static imagepluginswidgets-static digikam-shared
    tdecore-shared tdeutils-shared ${KEXIV2_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES digikamimageplugin_core_ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
  SOURCE digikamimageplugin_core.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/imageplugins/sheartool/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### digikamimageplugin_sheartool (kpart)

tde_add_kpart( digikamimageplugin_sheartool AUTOMOC
  SOURCES imageplugin_sheartool.cpp sheartool.cpp shear.cpp
  LINK dimgfilters-static digikam-shared tdecore-shared tdeutils-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES digikamimageplugin_sheartool_ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
  SOURCE digikamimageplugin_sheartool.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/libs/lprof/CMakeLists.txt ===
##### lprof library (static)

tde_add_library( lprof STATIC_PIC
  SOURCES
    cmshull.cpp cmslm.cpp cmslnr.cpp cmsmatn.cpp cmsmkmsh.cpp cmsmntr.cpp
    cmsoutl.cpp cmspcoll.cpp cmsprf.cpp cmsreg.cpp cmsscn.cpp cmssheet.cpp
)

=== src/libs/themeengine/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### themeengine library (static)

tde_add_library( themeengine STATIC_PIC AUTOMOC
  SOURCES theme.cpp themeengine.cpp texture.cpp
  LINK histogram-static tdecore-shared
)

=== src/utilities/batch/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/dialogs
  ${CMAKE_SOURCE_DIR}/src/libs/thumbbar
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/common
)


##### batch library (static)

tde_add_library( batch STATIC_PIC AUTOMOC
  SOURCES
    batchthumbsgenerator.cpp batchalbumssyncmetadata.cpp
    imageinfojob.cpp imageinfoalbumsjob.cpp batchsyncmetadata.cpp
  LINK
    tdecore-shared
)

=== src/utilities/lighttable/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/dialogs
  ${CMAKE_SOURCE_DIR}/src/libs/dimg/filters
  ${CMAKE_SOURCE_DIR}/src/libs/imageproperties
  ${CMAKE_SOURCE_DIR}/src/libs/thumbbar
  ${CMAKE_SOURCE_DIR}/src/libs/themeengine
  ${CMAKE_SOURCE_DIR}/src/libs/threadimageio
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/common
  ${CMAKE_SOURCE_DIR}/src/utilities/setup
  ${CMAKE_SOURCE_DIR}/src/utilities/slideshow
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/canvas
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/editor
  ${CMAKE_BINARY_DIR}/src/libs/dialogs
)


##### lighttable library (static)

tde_add_library( lighttable STATIC_PIC AUTOMOC
  SOURCES lighttablebar.cpp lighttablewindow.cpp lighttablepreview.cpp lighttableview.cpp
  LINK thumbbar-static tdecore-shared
)


##### other files

install(
  FILES lighttablewindowui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

=== src/imageplugins/coreplugin/sharpnesseditor/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/clapack
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### subfolders

add_subdirectory( clapack )


##### sharpnesseditor (static)

tde_add_library( sharpnesseditor STATIC_PIC AUTOMOC
  SOURCES sharpentool.cpp unsharp.cpp matrix.cpp refocus.cpp
  LINK lapack-static
)

=== src/libs/widgets/iccprofiles/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/lprof
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/common
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/metadata
)


##### iccprofileswidgets library (static)

tde_add_library( iccprofileswidgets STATIC_PIC AUTOMOC
  SOURCES iccprofilewidget.cpp cietonguewidget.cpp iccpreviewwidget.cpp
  LINK lprof-static metadatawidgets-static tdecore-shared
)


##### other files

install(
  FILES cietonguewidget.h iccprofilewidget.h iccpreviewwidget.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)

=== src/utilities/imageeditor/tools/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/dimg/filters
  ${CMAKE_SOURCE_DIR}/src/libs/greycstoration
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/common
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/canvas
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/editor
)


##### dimgeditortools library (static)

tde_add_library( dimgeditortools STATIC_PIC AUTOMOC
  SOURCES imageresize.cpp imageprint.cpp
  LINK greycstoration-static
)

=== src/imageplugins/coreplugin/sharpnesseditor/clapack/CMakeLists.txt ===

##### lapack (static)

tde_add_library( lapack STATIC_PIC AUTOMOC
  SOURCES
    abort_.c dgesv.c dlaswp.c endfile.c idamax.c open.c sig_die.c wref.c close.c dgetf2.c dscal.c
    err.c ieeeck.c s_cmp.c s_stop.c wrtfmt.c dgemm.c dgetrf.c dswap.c fmt.c ilaenv.c s_copy.c wsfe.c
    dger.c dgetrs.c dtrsm.c fmtlib.c lsame.c sfe.c util.c xerbla.c
)

=== debian/changelog ===
digikam-trinity (4:14.2.0~pre112-0ubuntu25.10.0+11) questing; urgency=low

  * Automated git build for d540657bae356117354d9133a42417de25b3e063
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## digikam-trinity 14.2.0~pre115

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( digikam )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_LOCAL_SQLITE3  "Build using local SQLite3 instead of system SQLite3" OFF )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON           )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( data )
add_subdirectory( icons )
add_subdirectory( pics )
add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== data/CMakeLists.txt ===
##### subfolders

add_subdirectory( about )
add_subdirectory( profiles )
add_subdirectory( themes )

=== src/themedesigner/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/imageproperties
  ${CMAKE_SOURCE_DIR}/src/libs/themeengine
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/common
)


##### digikamthemedesigner (executable)

tde_add_executable( digikamthemedesigner AUTOMOC
  SOURCES
    main.cpp mainwindow.cpp themedicongroupitem.cpp themediconitem.cpp themediconview.cpp
  LINK
    digikam-shared tdecore-shared tdeui-shared ${KDCRAW_LIBRARIES} ${KEXIV2_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)

=== src/imageplugins/blurfx/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### digikamimageplugin_blurfx (kpart)

tde_add_kpart( digikamimageplugin_blurfx AUTOMOC
  SOURCES imageplugin_blurfx.cpp blurfxtool.cpp blurfx.cpp
  LINK
    dimgfilters-static dimg-static digikam-shared
    tdecore-shared tdeutils-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES digikamimageplugin_blurfx_ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
  SOURCE digikamimageplugin_blurfx.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/imageplugins/inserttext/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### digikamimageplugin_inserttext (kpart)

tde_add_kpart( digikamimageplugin_inserttext AUTOMOC
  SOURCES imageplugin_inserttext.cpp inserttextwidget.cpp inserttexttool.cpp fontchooserwidget.cpp
  LINK dimgfilters-static digikam-shared tdecore-shared tdeutils-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES digikamimageplugin_inserttext_ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
  SOURCE digikamimageplugin_inserttext.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/libs/greycstoration/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/dimg/filters
)


##### greycstoration library (static)

tde_add_library( greycstoration STATIC_PIC AUTOMOC
  SOURCES greycstorationiface.cpp greycstorationwidget.cpp
  LINK dimgfilters-static histogram-static tdecore-shared ${CMAKE_THREAD_LIBS_INIT}
)


##### other files

install(
  FILES greycstorationiface.h greycstorationwidget.h greycstorationsettings.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)

=== src/libs/jpegutils/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
)

##### jpegutils library (static)

tde_add_library( jpegutils STATIC_PIC
  SOURCES jpegutils.cpp transupp.cpp
  LINK tdecore-shared ${JPEG_LIBRARIES}
)

=== src/libs/sqlite3/CMakeLists.txt ===
##### sqlite3 library (static)

tde_add_library( sqlite3 STATIC_PIC
  SOURCES sqlite3.c
  LINK ${CMAKE_THREAD_LIBS_INIT} ${CMAKE_DL_LIBS}
)

=== src/utilities/hotplug/CMakeLists.txt ===

##### other files

install(
  FILES digikam-camera
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/utils
)

tde_create_translated_desktop(
  SOURCE
    digikam-download.desktop.cmake
    digikam-gphoto2-camera.desktop.cmake
    digikam-mount-and-download.desktop.cmake
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
)

=== src/utilities/slideshow/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/themeengine
  ${CMAKE_SOURCE_DIR}/src/libs/threadimageio
)


##### slideshow library (static)

tde_add_library( slideshow STATIC_PIC AUTOMOC
  SOURCES toolbar.cpp slideshow.cpp
  LINK tdecore-shared
)

=== src/libs/widgets/common/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/curves
  ${CMAKE_SOURCE_DIR}/src/libs/dimg/loaders
)


##### commonwidgets library (static)

tde_add_library( commonwidgets STATIC_PIC AUTOMOC
  SOURCES
    histogramwidget.cpp colorgradientwidget.cpp curveswidget.cpp dlogoaction.cpp sidebar.cpp
    squeezedcombobox.cpp filesaveoptionsbox.cpp dpopupmenu.cpp statuszoombar.cpp
    statusnavigatebar.cpp statusprogressbar.cpp searchtextbar.cpp dcursortracker.cpp
    paniconwidget.cpp previewwidget.cpp splashscreen.cpp statusled.cpp
  LINK
    tdecore-shared tdeui-shared
)


##### other files

install(
  FILES
    histogramwidget.h colorgradientwidget.h curveswidget.h sidebar.h dlogoaction.h
    squeezedcombobox.h dpopupmenu.h statuszoombar.h statusnavigatebar.h searchtextbar.h
    statusprogressbar.h dcursortracker.h paniconwidget.h previewwidget.h statusled.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)

=== src/utilities/imageeditor/rawimport/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libs/curves
  ${CMAKE_SOURCE_DIR}/src/libs/dialogs
  ${CMAKE_SOURCE_DIR}/src/libs/dimg/filters
  ${CMAKE_SOURCE_DIR}/src/libs/levels
  ${CMAKE_SOURCE_DIR}/src/libs/themeengine
  ${CMAKE_SOURCE_DIR}/src/libs/threadimageio
  ${CMAKE_SOURCE_DIR}/src/libs/whitebalance
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/common
  ${CMAKE_SOURCE_DIR}/src/libs/widgets/iccprofiles
  ${CMAKE_SOURCE_DIR}/src/utilities/splashscreen
  ${CMAKE_SOURCE_DIR}/src/utilities/imageeditor/editor
)


##### rawimport library (static)

tde_add_library( rawimport STATIC_PIC AUTOMOC
  SOURCES rawpreview.cpp rawsettingsbox.cpp rawimport.cpp rawpostprocessing.cpp
  LINK commonwidgets-static iccprofileswidgets-static
)

=== debian/changelog ===
digikam-trinity (4:14.2.0~pre115-0ubuntu22.04.0+11) jammy; urgency=low

  * Automated git build for 88c2d4ab44ee097ae227a7582e781c8daf49cb8d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#digikam

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Oct 2025 13:57:46 +0100

=== debian/control ===
Source: digikam-trinity
Section: graphics
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
 libtiff-dev, libgphoto2-dev | libgphoto2-6-dev | libgphoto2-2-dev, libkipi0-trinity-dev,
 libsqlite3-dev, liblcms1-dev, libkexiv2-3-trinity-dev (>= 0.1.6),
 libjasper-dev, libpng-dev, libexiv2-dev,
 libkdcraw3-trinity-dev (>= 0.1.4)
Standards-Version: 3.8.4
Homepage: http://www.digikam.org

Package: digikam-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: digikam-kde3 (<< 4:14.0.0~), digikam-trinity (<< 4:14.0.0~)
Breaks: digikam-kde3 (<< 4:14.0.0~), digikam-trinity (<< 4:14.0.0~)
Recommends: kipi-plugins-trinity, tdeprint-trinity, konqueror-trinity
Suggests: digikam-trinity-doc
Description: digital photo management application for TDE [Trinity]
 An easy to use and powerful digital photo management
 application, which makes importing, organizing and manipulating
 digital photos a "snap".  An interface is provided to connect to
 your digital camera, preview the images and download and/or
 delete them.
 .
 The digiKam built-in image editor makes the common photo correction
 a simple task. The image editor is extensible via plugins and,
 the digikamimageplugins project has been merged to digiKam core
 since release 0.9.2, all useful image editor plugins are available
 in the base installation.
 .
 digiKam can also make use of the KIPI image handling plugins to
 extend its capabilities even further for photo manipulations,
 import and export, etc. The kipi-plugins package contains many
 very useful extentions.
 .
 digiKam is based in part on the work of the Independent JPEG Group.

Package: showfoto-trinity
Architecture: any
Section: graphics
Replaces: showfoto-kde3 (<< 4:14.0.0~), showfoto-trinity (<< 4:14.0.0~)
Breaks: showfoto-kde3 (<< 4:14.0.0~), showfoto-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, digikam-trinity
Recommends: kipi-plugins-trinity, tdeprint-trinity, konqueror-trinity
Description: image viewer/editor for TDE [Trinity]
 Showphoto is part of the Digikam project.
 It allows to browse your photo collection and edit them with ease.

Package: digikam-trinity-dbg
Architecture: any
Section: devel
Replaces: digikam-kde3-dbg (<< 4:14.0.0~), digikam-trinity-dbg (<< 4:14.0.0~)
Breaks: digikam-kde3-dbg (<< 4:14.0.0~), digikam-trinity-dbg (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, digikam-trinity (= ${binary:Version}), showfoto-trinity (= ${binary:Version}), tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for digikam [Trinity]
 The debugging symbols associated with digikam and showfoto. They will
 automatically be used by gdb for debugging digikam-related issues.

Package: digikam-trinity-doc
Architecture: all
Depends: ${misc:Depends}, khelpcenter-trinity
Recommends: digikam-trinity
Section: doc
Description: handbook for digikam and showfoto in several languages [Trinity]
 Digikam is an easy to use and powerful digital photo management
 application.
 .
 This package contains the handbooks for digikam and showfoto.
